## Définition des types d’entité

### Création de type d’entité dans l’arbre

En cliquant dans l’arbre, sur le nœud **Type d’entité** d’un schéma ![](../../Ressources/Images/clic_TE.png), la liste des types d’entité composant le schéma s’affiche dans la fenêtre de droite. La liste permet de visualiser tous les types d’entité et les contraintes définies dans le formulaire de création.

**Ajouter un type d’entité** permet de créer un nouveau type d’entité (un calque DWG ou un fichier Shapefile par exemple).

![](../../Ressources/Images/menu_contextuel_Types_entites.PNG)

**Activer tous les types d’entité** et **Désactiver tous les types d’entité** permettent respectivement d’activer et de désactiver la vérification de tous les types d’entité lors d’un contrôle. L’activation ou la désactivation d’un type d’entité peut également se faire individuellement : clic-droit sur le nom du type d’entité, puis **Activer** ou **Désactiver**.

La fonction **Dupliquer un type d’entité** (clic-droit sur le type d’entité) permet de dupliquer le type d’entité avec l’ensemble de ses contraintes dans n’importe quel schéma.

![](../../Ressources/Images/TE_duplication_schema_cible.png)

![](../../Ressources/Images/attention.png) L’affichage des contraintes de façon tabulaire, permet de faciliter l’édition, le filtre, la suppression et la copie de contraintes.

### Formulaire de création d’un type d’entité

En sélectionnant dans le menu contextuel **Ajouter un type d’entité**, le formulaire de création d’un type d’entité s’affiche. Il est nommé **Caractéristiques du type d’entité** et permet à l’utilisateur de créer les types d’entité du schéma de contraintes en spécifiant leurs contraintes.

![](../../Ressources/Images/menu_contraintes_types_entites_654x459.png)

La case à cocher **Actif** permet d’activer / désactiver un type d’entité lors du contrôle. Désactivé, les erreurs sur le type d’entité seront alors ignorées dans l’analyse.

### Existence

La case **Existence** permet de définir si un type d’entité est obligatoire ou non.

<span style="color: #943a99;">==> Erreur retournée : E0005 (Type d’entité obligatoire absent).</span>

### Type de géométrie et interprétation de la géométrie.

Les groupements **Type de géométrie** et **Interprétation de la géométrie** sont à distinguer : le type de géométrie correspond à la géométrie même de l’entité alors que l’interprétation géométrique permet de définir la manière dont l’entité doit être interprétée. Prenons par exemple un type d’entité composé de polygones. Il est possible de vérifier l’interprétation de la géométrie "fme_area" des objets le composant. Afin d’affiner le contrôle, le type de la géométrie va permettre de distinguer les types de polygones : "fme_polygon" (polygone simple), "fme_donut" (polygone à trou(s)) et "fme_aggregate" (multi-polygones).

<span style="color: #943a99;">==> Erreur retournée : E0002 (Géométrie non conforme (interprétation de la géométrie)).</span>
<a name="E0041E0042"></a>

<span style="color: #943a99;">==> Erreur retournée : E0038 (Géométrie non conforme (type de géométrie)).</span>
<a name="E0041E0042"></a>

Lors de contrôles des relations spatiales entre types d’entité, si un type d’entité a une géométrie non conforme aux normes OGC, alors deux erreurs peuvent être générées.

<span style="color: #943a99;">==> Erreurs retournées : E0041 (Relation spatiale impossible, géométrie non conforme).</span>

<span style="color: #943a99;">==> Erreurs retournées : E0042 (Problème de relation spatiale, géométrie de l’entité liée non conforme).</span>

[En savoir plus sur les types de géométrie et l’interprétation géométrique.](../../04-ContraintesRessources/03.02.TypeGeometrie.html)

### Validation de la géométrie

Le champ **Validation de la géométrie** permet de spécifier des contrôles géométriques sur les objets du type d’entité selon des critères spécifiques et/ou des normes de l’Open Geospatial Consortium.

<span style="color: #943a99;">==> Erreurs retournées : E0018 à E0029 (Géométrie non valide).</span>

[En savoir plus les erreurs de géométries et obtenir des exemples](../../04-ContraintesRessources/03.04.ValidationGeometrique.html)