## Création d’un schéma de contraintes vierge

La fonction **Créer un schéma vierge** accessible à partir du nœud **Schémas** permet de créer manuellement un nouveau schéma de contraintes.

Dans le formulaire de création d’un schéma, l’utilisateur doit indiquer un nom au schéma ainsi que remplir ou non les paramètres listés ci-dessous.

![](../../Ressources/Images/interface_schema_574x429.png)

### Définition d’un domaine spatial

Le domaine spatial permet de définir :

*   un système de coordonnées,
*   une étendue géographique.

Si les données à contrôler ne sont pas dans le système de projection défini dans le schéma, elles sont reprojetées dans le système demandé pour la vérification de l’emprise. 

<span style="color: #943a99;">==> Erreur retournée : E0037 (Non-respect du domaine spatial. Données en dehors des bornes).</span>

### Restreindre à un système de coordonnées de référence

La case à cocher **Restreindre au système de coordonnées de référence** contraint le jeu de données à être dans le même système de coordonnées que celui défini dans le schéma.

<span style="color: #943a99;">==> Erreur retournée : E0036 (Non-respect du domaine spatial. Système de coordonnées différent du système de référence).</span>

### Ajout d’un domaine spatial

La sélection d’un domaine spatial prédéfini dans la liste déroulante permet de remplir automatiquement le système de coordonnées et les coordonnées de l’étendue. Un nouveau domaine spatial nommé peut être créé en cliquant sur le bouton ![](../../Ressources/Images/bouton_plus.png). Le système de coordonnées et l’étendue de l’emprise sont alors sauvegardés.

![](../../Ressources/Images/domainespatial.png)

[En savoir plus sur l’ajout de système de coordonnées dans Qualigéo.](../../03-ConfigurationAdministration/02.InterfaceAdministration.html#ajout-et-gestion-de-systemes-de-coordonnees)

### Types d’entité et attributs non définis

Le paramètre **Générer une erreur pour les types d’entité non définis** contrôle la présence des types d’entité. Si cette case est cochée, alors tous les types d’entité non définis dans le schéma mais présents dans le jeu de données apparaissent en erreur.

Par défaut, les types d’entité supplémentaires sont autorisés.

<span style="color: #943a99;">==> Erreur retournée : E0044 (Type d’entité non défini).</span>

Le paramètre **Générer une erreur pour les attributs non définis** contrôle la présence d’attributs. Si ce paramètre est coché alors tous les attributs non définis dans le schéma mais présents dans le jeu de données à contrôler apparaissent en erreur.

<span style="color: #943a99;">==> Erreur retournée : E0003 (Attribut non autorisé).</span>

Inversement, si un attribut est défini dans un schéma mais est absent de la donnée contrôlée, une erreur est générée.

<span style="color: #943a99;">==> Erreur retournée : E0004 (Attribut obligatoire absent).</span>

### Précision et Tolérance

#### Précision

Pour permettre la comparaison stricte des géométries et tenir compte d’écarts minimes dus au format de stockage ou à la reprojection, une précision de stockage peut être définie. Elle détermine le nombre de chiffres après la virgule et tronque les coordonnées en fonction. Dans un format de stockage déterminé en mètre, une précision de 1 correspond à une précision décimétrique. Une précision de 2 correspond à une précision centimétrique, et une précision de 3 correspond à une précision millimétrique. Il est également possible de définir une précision négative pour obtenir une précision décamétrique.

Laisser ce champs vide permet de n’effectuer aucun troncage.

#### Tolérance

La tolérance peut être utilisée pour ignorer des erreurs minimes de numérisation. Elle consiste en la création de zone tampon positive ou négative en unité terrain sur les géométries de référence. Elle est exploitée pour vérifier la [contrainte de relation spatiale](./05.DefinitionContraintesRelationsSpatiales.html) "A l’intérieur" ainsi que la [contrainte de construction](./03.06.DefinitionContrainteConstruction.html) de type "Appui sur segment ou partie de segment".

[En savoir plus sur les relations spatiales.](./05.DefinitionContraintesRelationsSpatiales.html)

#### Commentaire

Possibilité d’intégrer un commentaire relatif au schéma de contraintes.